- Qt 6.8
- Qt GUI
- C++ Classes
- QFileOpenEvent
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QFileOpenEvent

The following members of class QFileOpenEvent are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.6)` bool | openFile(QFile &file, QIODeviceBase::OpenMode flags) const

## Member Function Documentation

### `[deprecated in 6.6]` bool QFileOpenEvent::openFile(QFile &file, QIODeviceBase::OpenMode flags) const

This function is deprecated since 6.6. We strongly advise against using it in new code.

interpret the string returned by file()

Opens a QFile on the file referenced by this event in the mode specified by flags. Returns `true` if successful; otherwise returns `false`.

This is necessary as some files cannot be opened by name, but require specific information stored in this event.